<div [ngClass]="{'is-portal-feedback': isPortalCommune}" class="feedback-component-container" (clickOutside)="closeFeedbackFromClickOutside()">
  <button tabindex="0" class="feedback-button" (click)="toogle()" aria-label="Your feedback..."
    i18n-aria-label="@@feedback.giveYourFeedback" [ngClass]="{'expended': isExpended, 'closed': shouldAnimateClosing}">
    <svg xmlns="http://www.w3.org/2000/svg" id="feedback_x5F_icon" viewBox="0 0 37.2 34">
      <path
        d="M11 26c-.7 2.3-2.3 4.9-5.5 7.2 5.7 0 10.1-2.9 12.9-5.8h.3c9.7 0 17.5-5.9 17.5-13.2C36.2 6.8 28.4 1 18.7 1S1.2 6.8 1.2 14.1c0 5.2 4 9.7 9.8 11.9z"
        class="color-brand" />
      <path d="M24.6 12.2h3.7v3.7h-3.7zM17.1 12.2h3.7v3.7h-3.7zM9.7 12.2h3.7v3.7H9.7z" class="color-beta" />
    </svg>
    <span i18n="@@feedback.giveYourFeedback">Your feedback...</span>
  </button>
  <div class="feedback-container" [ngClass]="{'expended': isExpended, 'closed': shouldAnimateClosing}"
    [attr.aria-hidden]="!isExpended">
    <button class="button close-btn" (click)="toogle()" [tabindex]="isExpended ? 0 : -1">
      <img src="./assets/img/feedback_close.svg" i18n-alt="@@feedback.close" alt="Close feedback form">
    </button>
    <div class="feedback-form-container">
      <div class="form-header">
        <span i18n="@@feedback.formHeader">Share your opinion</span>
      </div>
      <form [formGroup]="feedbackForm" (ngSubmit)="sendFeedback()">

        <p id="label-feedback-message" class="is-strong" i18n="@@feedback.itNeedsYou">data.grandlyon.com needs your feedback to improve :
          <span class="required-field">*</span>
        </p>

        <textarea class="textarea" id="message" formControlName="message" [placeholder]="feedback.placeholder"
          [tabindex]="isExpended ? 0 : -1" [attr.aria-labelledby]="'label-feedback-message'"></textarea>

        <p i18n="@@feedback.yourOpinion" id="feedback-title">Your opinion of this website:</p>

        <div class="feedback-form-feeling-wrapper" [attr.role]="'radiogroup'" [attr.aria-labelledby]="'feedback-title'">
          <div class="custom-radio-btn-wrapper">
            <div class="custom-radio-btn">
              <input id="bof" type="radio" value=1 formControlName="feeling" [tabindex]="isExpended ? 0 : -1" />
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 46 24">
                <path id="star1" d="M23 4.3l1.9 5.8 6.1.1-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9-4.9-3.7 6.1-.1L23 4.3z"
                  class="st0" />
              </svg>
              <label for="bof" i18n="@@feedback.bof">Meh...</label>
            </div>
          </div>

          <div class="custom-radio-btn-wrapper">
            <div class="custom-radio-btn">
              <input id="ok" formControlName="feeling" type="radio" value=2 [tabindex]="isExpended ? 0 : -1" />
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 46 24">
                <g id="star2">
                  <path
                    d="M14.3 4.3l1.9 5.8 6.1.1-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9-4.9-3.7 6.1-.1 2.1-5.8zM31.7 4.3l1.9 5.8 6.1.1-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9-4.9-3.7 6.1-.1 2.1-5.8z"
                    class="st0" />
                </g>
              </svg>
              <label for="ok" i18n="@@feedback.ok">Ok</label>
            </div>
          </div>

          <div class="custom-radio-btn-wrapper">
            <div class="custom-radio-btn">
              <input id="top" formControlName="feeling" type="radio" value=3 [tabindex]="isExpended ? 0 : -1" />
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 46 24">
                <g id="star3">
                  <path
                    d="M9.1 6.3l1.9 5.8 6.1.1-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9L1 12.2l6.1-.1 2-5.8zM36.9 6.3l1.9 5.8 6.1.1-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9-4.9-3.7 6.1-.1 2.1-5.8z"
                    class="st0" />
                  <path d="M23 1.1l1.9 5.8L31 7l-4.9 3.7 1.8 5.9-5-3.6-5 3.6 1.8-5.9L14.8 7l6.1-.1L23 1.1z"
                    class="st0" />
                </g>
              </svg>
              <label for="top" i18n="@@feedback.top">Amazing!</label>
            </div>
          </div>

          <div class="custom-radio-btn-wrapper">
            <div class="custom-radio-btn">
              <input id="noOpinion" formControlName="feeling" type="radio" value=0 [tabindex]="isExpended ? 0 : -1" />
              <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 46 24">
                <path id="pas_x5F_avis"
                  d="M22.9 5.7c1.5 0 2.7.3 3.5.9.8.6 1.2 1.6 1.2 2.8s-.1 2.2-.4 2.7c-.2.6-.8 1.1-1.6 1.8-.8.6-1.3 1-1.5 1.4s-.3.7-.3 1.1v.7h-2.6c-.5-.5-.7-1.3-.7-2.2 0-.6.5-1.3 1.5-2.1s1.6-1.4 1.9-1.7c.2-.3.4-.7.4-1.2 0-.9-.7-1.4-2-1.4-1 0-1.9.1-3 .3l-.6.2-.2-2.4c1.4-.6 2.8-.9 4.4-.9zm-2.3 16.6v-3.9h3.5v3.9h-3.5z"
                  class="st0" />
              </svg>
              <label for="noOpinion" i18n="@@feedback.noOpinion">No opinion</label>
            </div>
          </div>
        </div>

        <p id="label-feedback-email" i18n="@@feedback.youWantAreply">If you wish us to get back to you, please enter your email address:</p>

        <input type="email" formControlName="email" class="input" placeholder="Email" [tabindex]="isExpended ? 0 : -1" [attr.aria-labelledby]="'label-feedback-email'">


        <div *ngIf="feedbackHasEmail">
          <input id="consent-feedback" class="is-checkradio" type="checkbox" formControlName="consent"
            [tabindex]="isExpended ? 0 : -1">
          <label for="consent-feedback" class="label checkbox-label feedback-consent">
            <p>
              <span i18n="@@consent.withoutCGU">I accept the processing of the information
                entered in this form to respond to my request.</span><span class="required-field">*</span>
            </p>
          </label>
        </div>

        <div class="action">
          <button type="submit" class="button" i18n="@@feedback.send" [disabled]="feedbackForm.invalid"
            [tabindex]="isExpended ? 0 : -1">
            Send
          </button>
        </div>

        <p class="is-small consent-text" i18n="@@consent.feedback.text" *ngIf="feedbackHasEmail">
          Fields with an asterisk (*) are mandatory. Information in these fields will be processed to respond to
          your request. The data is kept for a period of 12 months. Recipients of this
          information are the metropolitan departments in charge of processing your request. In compliance with
          the
          “Digital Technology and Freedom” law dated January 6, 1978, you have the right to access and rectify
          information that concerns you. To exercise this right, please contact the service of the Data Protection
          Officer (DPD): Métropole de Lyon – Délégué à la Protection des Données - Direction des Affaires
          Juridiques et de la Commande Publique - 20, rue du Lac - BP 33569 - 69505 Lyon Cedex 03 or use the
          following form https://demarches.toodego.com/sve/proteger-mes-donnees-personnelles/. You may also oppose
          processing of your personal data for a legitimate reason. In this case, we will
          not be able to process the request submitted using this form.
        </p>
      </form>
    </div>
  </div>
</div>
